#!/usr/bin/env python

import os
import os.path
import shutil
import sys


def create_jobs(charm_dir, jenkins_home):
    template_dir = os.path.join(charm_dir, 'templates')
    job_list = os.listdir(template_dir)
    for job in job_list:
        if not job.endswith('.xml'):
            continue

        job_name = job[:-4]
        job_dir = os.path.join(jenkins_home, job_name)
        os.mkdir(job_dir)
        shutil.copy(os.path.join(template_dir, job),
                    os.path.join(job_dir, 'config.xml'))


def main():
    create_jobs(sys.argv[1], sys.argv[2])

if __name__ == '__main__':
    main()
